APIQr code
Update QR code
Partially updates a QR code. You can change the name, content, or styling configuration. For dynamic QR codes, updating the URL content also updates the linked short URL destination. Only the owner can update their QR codes.
Authorization
bearerAuth AuthorizationBearer <token>
Authenticate with a Bearer token. Pass your API key in the Authorization header: Authorization: Bearer <your-api-key>
In: header
Path Parameters
id*string
QR code UUID
Format
uuidRequest Body
application/json
name?|
User-defined name for the QR code (max 50 characters)
Length
length <= 50content?|||||||
QR code content as a discriminated union — the "type" field determines which data schema applies
config?
QR code visual styling configuration (colors, shapes, dimensions, embedded image)
[key: string]?never
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://api.qrcodly.de/api/v1/qr-code/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"name": "string",
"config": {
"width": 0,
"height": 0,
"margin": 0,
"image": "string",
"imageOptions": {
"hideBackgroundDots": true
},
"dotsOptions": {
"type": "dots",
"style": {
"type": "hex",
"value": "string"
}
},
"cornersSquareOptions": {
"type": "dot",
"style": {
"type": "hex",
"value": "string"
}
},
"cornersDotOptions": {
"type": "dot",
"style": {
"type": "hex",
"value": "string"
}
},
"backgroundOptions": {
"style": {
"type": "hex",
"value": "string"
}
}
},
"content": {
"type": "url",
"data": {
"url": "http://example.com",
"isDynamic": true
}
},
"qrCodeData": "string",
"previewImage": "string",
"createdBy": "string",
"shortUrl": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"shortCode": "strin",
"name": null,
"destinationUrl": "http://example.com",
"qrCodeId": "8a619d64-dbe8-4c9d-9490-babe22a53a28",
"customDomainId": null,
"isActive": true,
"createdBy": "string",
"deletedAt": null
},
"tags": []
}{
"message": "string",
"code": 0,
"fieldErrors": {
"property1": null,
"property2": null
}
}{
"message": "string",
"code": 0
}{
"message": "string",
"code": 0
}{
"message": "string",
"code": 0
}{
"message": "string",
"code": 0
}